Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 229039 - *please* make code folding border less obnoxious
*please* make code folding border less obnoxious
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Code folding
7.4
PC All
: P3 (vote)
: 8.1
Assigned To: Svata Dedic
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-26 01:03 UTC by athompson
Modified: 2015-05-12 03:25 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
please make the border less distracting (307.27 KB, image/png)
2013-04-26 01:03 UTC, athompson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description athompson 2013-04-26 01:03:50 UTC
Created attachment 133826 [details]
please make the border less distracting

Code folding works great, but the border around folded code is much too heavy/dark. If you do what you're supposed to and write javadocs for everything, it *really* distracting to the eye.

How about creating a separate highlighting option for "code folding border", making it much lighter, and making the border itself a bit thinner? Thanks!
Comment 1 Svata Dedic 2013-04-26 12:02:22 UTC
You suggest to separate the folder placeholder's content foreground color and the bounding box line color, right ?

Does the 'thinner border' apply also to the folder placeholder for the code, or to the code folding sidebar at the left side of the Editor window ?
Comment 2 athompson 2013-04-26 13:16:46 UTC
(In reply to comment #1)
> You suggest to separate the folder placeholder's content foreground color and
> the bounding box line color, right ?
Yep!

> Does the 'thinner border' apply also to the folder placeholder for the code, or
> to the code folding sidebar at the left side of the Editor window ?
Just the placeholder border; the sidebar looks fine.
Comment 3 athompson 2013-04-26 13:19:11 UTC
Oh, do you mean the tooltip border? That looks fine as well. I'm just talking about the border around the folded item.
Comment 4 athompson 2013-04-26 13:22:01 UTC
In fact, it may be better to get rid of the border entirely, and just make the background of the folded item a shade darker. But I'm not a graphic designer, so whatever looks best that doesn't grab your eye too much.
Comment 5 Svata Dedic 2013-04-26 13:40:06 UTC
The key point is to separate the border and the text. Then you could set foreground for the border to 'inherited', making it "invisible" on the editor's backround (more or less)
Comment 6 athompson 2013-04-26 15:08:17 UTC
Yup, that'll work. Just out of curiosity, is it possible in the saved highlighting preferences (if not the UI) to take the inherited color and make it lighter/darker? I can see how that would really be useful when creating color schemes...
Comment 7 athompson 2013-04-26 15:13:22 UTC
In other words, the "parent" color could change, and the "child" color (which inherits from it) would be a lighter/darker shade of the new color. It would be useful, for example, for setting the selection background color. It wouldn't need to override whatever the original background color was, so you don't lose any information.
Comment 8 Zon 2014-05-26 05:49:21 UTC
Agree with athompson absolutely. Border around collapsed comment attracts the attention as if it were the most important part of code. Please provide a setting to remove it.
Comment 9 AleStrooisma 2015-02-06 18:02:48 UTC
I agree with this as well
Comment 10 Svata Dedic 2015-04-07 08:50:42 UTC
Should be implemented together with issue #253229
Comment 11 Svata Dedic 2015-04-30 09:15:25 UTC
Implemented in jet-main#6a2a1ad5316d
Comment 12 Quality Engineering 2015-05-12 03:25:38 UTC
Integrated into 'main-silver', will be available in build *201505120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/6a2a1ad5316d
User: Svata Dedic <sdedic@netbeans.org>
Log: #229039: added color settings for code folding placeholder border


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo